import { Text, View } from "@tarojs/components"
import classnames from "classnames";
import {memo} from "react";
import styles  from './index.module.scss'

export default memo(({return_address = '', return_phone = ''}:{return_address:string, return_phone: string}) => {
    return (
        <View className={styles.address_main}>
            <View className={styles.address_title_tag}>
                <Text className={classnames(styles.miconfont, 'iconfont icon-zhuyi')}></Text>
                请按以下退货地址寄回货物并提供退货物流信息
            </View>
            <View className={styles.order_address} >
                <View className={classnames(styles.order_address_icon, 'iconfont','icon-fahuo')}></View>
                <View className={styles.order_address_text_con}>
                    <View className={styles.order_address_text_title}>
                        <Text  className={classnames(styles.address_text, styles.address_text_no)}>{return_address}</Text>
                    </View>
                    <View className={styles.order_address_text_name}>
                        <Text>管理员</Text>
                        <Text>{return_phone}</Text>
                        {/* <View className={styles.updateBtn}>
                            上传物流
                        </View> */}
                    </View>
                </View>
            </View>
        </View>
    )
})